# Class JMeterStopTestNowException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.jorphan.util.JMeterStopTestNowException

All Implemented Interfaces:
  `Serializable`

public class JMeterStopTestNowException extends RuntimeException
This Exception is for use by functions etc to signal a Stop Test Now condition where there is no access to the normal stop method

Version:
  $Revision: 905024 $
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JMeterStopTestNowException()`
`JMeterStopTestNowException(String s)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JMeterStopTestNowException

public JMeterStopTestNowException()

### JMeterStopTestNowException

public JMeterStopTestNowException(String s)